Filewatcher File Search File Search
Catalog
Content Search
» » » » » libgalax-ocaml-dev_1.1-10+b1_mipsel.deb » Content »
pkg://libgalax-ocaml-dev_1.1-10+b1_mipsel.deb:1804672/usr/share/doc/libgalax-ocaml-dev/  info  control  downloads

libgalax-ocaml-dev - XQuery implementation with static typing - OCaml libraries…  more info»

changelog.Debian.gz

galax (1.1-10+b1) sid; urgency=low

  * Binary-only non-maintainer upload for mipsel; no source changes.
  * Rebuild with new ocamlnet

 -- mipsel Build Daemon (mayer) <buildd_mips-mayer@buildd.debian.org>  Sun, 04 Mar 2012 14:57:13 +0000

galax (1.1-10) unstable; urgency=low

  * Team upload
  * Fix configure on hurd (Closes: #647765)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Nov 2011 00:42:50 +0100

galax (1.1-9) unstable; urgency=low

  * Team upload
  * Fix build with camomile 0.8.3 (Closes: #636025)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Aug 2011 08:15:53 +0200

galax (1.1-8) unstable; urgency=low

  * Team upload
  * Remove myself from Uploaders
  * Fix build with ocamlnet 3.3.5
  * Bump Standards-Version to 3.9.2
  * Bump debhelper compatibility level to 8

 -- Stéphane Glondu <glondu@debian.org>  Sat, 23 Jul 2011 23:37:45 +0200

galax (1.1-7) unstable; urgency=low

  * debian/control:
    - add myself to Uploaders and remove Stefano
    - update Homepage
    - bump Standards-Version to 3.8.4 (no changes)
  * debian/patches:
    - replace 0002-bump-expected-OCaml-version-to-3.11.patch by
      0002-Make-OCaml-version-requirement-a-lower-bound.patch
    - add 0005-Fix-some-typos.patch
  * Use up-to-date config.{sub,guess}
  * Switch source package format to 3.0 (quilt)
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 18 May 2010 22:51:23 +0200

galax (1.1-6) unstable; urgency=low

  * rm debian/svn-deblayout: obsolete, we are now using Git
  * debian/control
    - bump Standards-Version to 3.8.3 (no changes needed)
    - bump build-dep on dh-ocaml to 0.9, as we now use dh_ocaml*
    - add ${ocaml:Depends/Provides} since now we use dh_ocaml; keep
      hand-written deps on libraries for the interim
  * debian/rules
    - switch to dh_ocamldoc for API reference generation, stop relying on
      ocamldoc-api-ref-config, which is gone (Closes: #549850)
    - switch to dh 7
  * debian/patches:
    - port from dpatch to quilt (for dh 7 compatibility)
    - new patch 0004-fix-syntax-errors-in-ocamldoc-tags: fix some ocamldoc
      markup errors (overlooked thus far)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 07 Oct 2009 09:17:20 +0200

galax (1.1-5) unstable; urgency=low

  * rebuild against OCaml 3.11, bump build-dependencies accordingly
  * bump debhelper compatibility level to 7
  * debian/control
    - add build-dependency on dh-ocaml, which ships the CDBS class
    - make consistent the indentation of dependency fields
    - bump Standards-Version to 3.8.1 (no changes needed)
    - add strict build-deps to induce dep-waits during the transition
    - set maintainer to d-o-m, myself as an uploader
    - add missing ${misc:Depends} to galax-doc deps
    - move the library to archive section "ocaml"
  * debian/rules
    - invoke ocamldoc-api-ref-config from /usr/share/ocaml (moved there)
    - use ocaml.mk class as a "rules" file, as now is
  * debian/patches/
    - new patch build-ocaml-3.11, bump expected OCaml version to 3.11
    - new patch build-pxp-1.2, forward port code to build against PXP 1.2
  * debian/copyright: reference GPL-3 common license file

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 19 Mar 2009 11:44:26 +0100

galax (1.1-4) unstable; urgency=medium

  * bump Standards-Version to 3.8.0 (no changes needed)
  * debian/control
    - add missing dependency on libcamomile-ocaml-data (Closes: #487482)
    - reformat dependency fields to be on multiple lines (as it is more
      diff-friendly)
    - update Vcs-* fields to the new git repository
  * add debian/watch file (though it won't be able to download upstream
    tarball, as it is "protected" by a form; at least the check for new
    releases works ...)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 19 Jul 2008 21:52:00 +0200

galax (1.1-3) unstable; urgency=low

  * debian/rules: remove .depend files created during clean, as they cause
    FTBFSs (permission denied) on buildds using -rsudo (Closes: #483940)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 05 Jun 2008 10:48:40 +0200

galax (1.1-2) unstable; urgency=low

  [ Ralf Treinen ]
  * Changed doc-base section (of the Galax manual) to Programming

  [ Stefano Zacchiroli ]
  * rebuild the galax-doc package against latest ocaml.mk CDBS class, so that
    the doc-base section (of the Galax API reference) gets moved to doc-base
    section Programming/OCaml

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 04 Jun 2008 13:52:30 +0200

galax (1.1-1) unstable; urgency=low

  * new upstream release: 1.1 (first public release of the 1.x series)
  * debian/patches/
    - add patch missing-BUGS-doc.dpatch to fix a LaTeX compilation error, due
      to a (now) missing BUGS document in the toplevel dir
  * refresh debian/docs to point to the current documentation

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 26 Mar 2008 16:17:34 +0100

galax (1.0~rc1-1) experimental; urgency=low

  * new upstream release: 1.0 release candidate
  * debian/patches/
    - remove patches: build-wo-ocamlopt, configure_typo, latex-inputenc, meta;
      all have been integrated upstream
  * better sections for binary packages, following the conventions of other
    XML-related packages (default is now "text", galaxd in "net")
  * add missing build-depend on camlp4 (for camlp4o)
  * add missing build-depend on texlive-latex-extra (for comment.sty)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 26 Mar 2008 12:02:08 +0100

galax (0.9.9-1) experimental; urgency=low

  * Initial release (Closes: #447984)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 17 Feb 2008 23:33:26 +0100
Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017 FileWatcher.com